PVCTXCTL(8)

NAME
pvctxctl - display or control ATM PVC transmitter parameters

SYNOPSIS
pvctxctl interface [ [vpi:] vci]
pvctxctl interface [vpi:] vci [-p pcr] [-b max-bandwidth] [ -j [vpi:] vci] [-n]

DESCRIPTION
pvctxctl displays or controls the shaper parameters of an ATM VC. When a shaper value is specified, pvctxctl sets a shaper to an ATM VC. pvctxctl works for a PVC sub interface pvc(4) as well as a real ATM interface en(4).

For a real ATM interface, the specified VC should be assigned beforehand by route(8).

For a sub interface, pvctxctl assigns the specified VC to the sub interface. If another VC is already assigned to the sub interface, the old VC is invalidated.

Availability of shapers, the number of hardware shaper channels, and accuracy of shaping are all device dependent. For example, ENI Midway chip has 8 shaper channels but the driver reserves one for non-shaping VCs.

The options are as follows:

Interface
    The inerface parameter is a string of the form “name unit”, for example, “en0”

[vpi: vci]
    The VC number to which the shaper is assigned. When the VPI number is omitted, VPI number 0 is assumed. For example, to assign a shaper to VPI=0 and VCI=201, the following forms can be used: "201", "0xc9", "0:201", "0:0xc9".

-p pcr
    The PCR (Peak Cell Rate) parameter specifies the peak cell rate in "cells per second". If PCR value "0" is specified, no shaper is assigned, which means cells are sent at full-speed of the link. If PCR value “-1” is specified, the corresponding VC is invalidated.

-b max-bandwidth
    The PCR parameter can be specified also in “bits per second”. The rate is the rate of AAL5 frame and the PCR is calculated by the following form:

        PCR = max-bandwidth / 8 / 48

    “K” and “M” can be used as a short hand of “000” and “000000” respectively. For example, “45M” means “45Mbps” or PCR value “117187”.

[-j [vpi:]vci]
    The join parameter is intended for VP shaping. The VC shaper channel is shared with the existing VC, which means the sum of the cell rates never exceeds the maximum PCR among the shared VCs. On the other hand, when the shaper channel is not shared, the sum of the cell rates could be the sum of the PCRs.

    For example, if two VCs (say 201 and 202) share a 45Mbps VP, use:

        # pvctxctl en0 201 -b 45M
        # pvctxctl en0 202 -b 45M -j 201

-n  This parameter is only for a sub interface. Use NULL encapsulation instead of LLC/SNAP.

CAVEATS
A real ATM interface and a sub interface require different sequences to set a shaper. For example, to assign a 45Mbps shaper to VC 201 (0xc9) of en0:

    # ifconfig en0 10.0.0.1
    # route add -iface 10.0.0.2 -link en0:3.0.0.c9
    # pvctxctl en0 0xc9 -b 45M

For a sub interface,

    # pvcsif en0 # creates pvc0
    # ifconfig pvc0 10.0.0.1 10.0.0.2
    # pvctxctl pvc0 201 -b 45M

SEE ALSO
ifconfig(8), route(8), en(4), pvcsif(8)